WiPay
WAPIsv2.0.2User

Create Bank Account

Configure a local or foreign Bank account for the authenticated user. User must be verified.

POST
/user/banks/{type}
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Path Parameters

typestring

Bank account type (local or foreign).

Value in"local" | "foreign"
bank_namestring

Must be a valid Bank name from configuration.

bank_accountstring

Bank Account number (digits only).

Match^[0-9]+$
name_in_bankstring
Lengthlength <= 255
bank_account_type?string

Required for Jamaica only.

Value in"chequing" | "savings"
bank_branch?string

Required for Jamaica only.

Lengthlength <= 255
bank_addressstring
Lengthlength <= 255
beneficiary_account_numberstring
Lengthlength <= 255
beneficiary_addressstring
Lengthlength <= 255
beneficiary_bank_swift_or_routing_codestring
Lengthlength <= 255
beneficiary_bankstring
Lengthlength <= 255
beneficiary_namestring
Lengthlength <= 255
intermediary_bank_addressstring
Lengthlength <= 255
intermediary_bank_routing_number_or_abastring
Lengthlength <= 255
intermediary_bank_swift_codestring
Lengthlength <= 255
intermediary_bankstring
Lengthlength <= 255

Response Body

curl -X POST "https://tt.wipayfinancial.com/wapi/user/banks/local" \  -H "Content-Type: application/json" \  -d '{    "bank_name": "string",    "bank_account": "string",    "name_in_bank": "string"  }'
{
  "message": "Created"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}